# 网格触发历史

`GET` `/v1/gridtrading/trigger_history_list`

查询单个网格订单的分页触发历史 —— 网格每次触发时所发出的具体订单。

:::warning 使用 `grid_order_id` 而非 `order_id`
该接口使用 `grid_order_id`，而**不是**其他网格接口所用的 `order_id`。此处传入 `order_id` 将无法定位到网格订单。
:::

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `grid_order_id` | string | Yes | 网格订单 ID，例如：`764609681686573056` |
| `page` | integer | No | 页码，从 `1` 开始 |
| `limit` | integer | No | 分页大小 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/gridtrading/trigger_history_list?grid_order_id=<grid_order_id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trigger_orders` | object[] | No | 触发订单 |
| `└ id` | string | Yes | 触发订单 ID |
| `└ status` | string | Yes | 订单状态 |
| `└ name` | string | Yes | 股票名称 |
| `└ symbol` | string | Yes | 股票代码，`ticker.region` 格式 |
| `└ price` | string | Yes | 订单价格 |
| `└ quantity` | string | Yes | 订单数量 |
| `└ executed_price` | string | Yes | 成交价格 |
| `└ executed_qty` | string | Yes | 已成交数量 |
| `└ submitted_at` | string | Yes | 提交时间，RFC3339 格式 |
| `└ action` | int32 | Yes | 买卖方向 |
| `└ order_type` | string | Yes | 订单类型 |
| `└ trigger_price` | string | Yes | 触发该订单的价格 |
| `└ msg` | string | Yes | 附加消息 |
| `└ currency` | string | Yes | 订单货币 |
| `└ last_done` | string | Yes | 触发时的最新成交价 |
| `└ updated_at` | string | Yes | 最后更新时间，RFC3339 格式 |
| `└ time_in_force` | int32 | Yes | 订单有效期。**可选值：**, `0` - 当日有效，`1` - GTC, `6` - GTD |
| `└ gtd` | string | Yes | 到期日，`YYYY-MM-DD` 格式 |
| `└ trigger_at` | string | Yes | 触发时间，RFC3339 格式 |
| `└ trigger_status` | int32 | Yes | 触发状态 |
| `has_more` | boolean | No | 是否还有更多分页 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "trigger_orders": [
      {
        "id": "764610000000000001",
        "status": "Filled",
        "name": "TENCENT",
        "symbol": "700.HK",
        "price": "294",
        "quantity": "100",
        "executed_price": "294",
        "executed_qty": "100",
        "submitted_at": "2024-08-12T10:35:00+08:00",
        "action": 1,
        "order_type": "GMO",
        "trigger_price": "294",
        "msg": "",
        "currency": "HKD",
        "last_done": "294",
        "updated_at": "2024-08-12T10:35:05+08:00",
        "time_in_force": 1,
        "gtd": "",
        "trigger_at": "2024-08-12T10:35:00+08:00",
        "trigger_status": 1
      }
    ],
    "has_more": false
  }
}
```
